Package org.eclipse.emf.cdo.view

## Class CDOViewSetHandler

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.lifecycle.Lifecycle
    - - org.eclipse.emf.cdo.view.CDOViewSetHandler

- All Implemented Interfaces:
    `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`
  Direct Known Subclasses:
    `CDOPrefetcherManager`

      public class CDOViewSetHandler
      extends org.eclipse.net4j.util.lifecycle.Lifecycle

  Since:
    4.15
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `USE_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDOViewSetHandler​(CDOViewSet viewSet)` |
    `CDOViewSetHandler​(org.eclipse.emf.ecore.resource.ResourceSet resourceSet)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `doActivate()` |
    `protected void` | `doDeactivate()` |
    `CDOViewSet` | `getViewSet()` |
    `protected void` | `notifyViewEvent​(org.eclipse.net4j.util.event.IEvent event)` | Subclasses may override.
    `protected void` | `viewAdded​(CDOView view)` | Subclasses may override.
    `protected void` | `viewChanged​(CDOView view, CDOBranchPoint oldBranchPoint, CDOBranchPoint newBranchPoint)` | Subclasses may override.
    `protected void` | `viewRemoved​(CDOView view)` | Subclasses may override.

    - ### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doAfterActivate, doBeforeActivate, doBeforeDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Constructor Detail

    - #### CDOViewSetHandler

          public CDOViewSetHandler​(CDOViewSet viewSet)

    - #### CDOViewSetHandler

          public CDOViewSetHandler​(org.eclipse.emf.ecore.resource.ResourceSet resourceSet)

  - ### Method Detail

    - #### getViewSet

          public final CDOViewSet getViewSet()

    - #### viewAdded

          protected void viewAdded​(CDOView view)

      Subclasses may override.

    - #### viewChanged

          protected void viewChanged​(CDOView view,
                                     CDOBranchPoint oldBranchPoint,
                                     CDOBranchPoint newBranchPoint)

      Subclasses may override.

    - #### viewRemoved

          protected void viewRemoved​(CDOView view)

      Subclasses may override.

    - #### notifyViewEvent

          protected void notifyViewEvent​(org.eclipse.net4j.util.event.IEvent event)

      Subclasses may override.

    - #### doActivate

          protected void doActivate()
                             throws java.lang.Exception

      Overrides:
        `doActivate` in class `org.eclipse.net4j.util.lifecycle.Lifecycle`
      Throws:
        `java.lang.Exception`

    - #### doDeactivate

          protected void doDeactivate()
                               throws java.lang.Exception

      Overrides:
        `doDeactivate` in class `org.eclipse.net4j.util.lifecycle.Lifecycle`
      Throws:
        `java.lang.Exception`